local vanila_vim_autostart_commands = {
	"set number",
	"set clipboard=unnamedplus",
	"set nowrap",
	"set shiftwidth=4",
	"set tabstop=4",
}

for _, cmd in pairs(vanila_vim_autostart_commands) do
	vim.cmd(cmd)
end

if vim.lsp.inlay_hint then
	vim.lsp.inlay_hint.enable(true, { 0 })
end

require("config.lazy")
require("config.plugins.nvimufo")
require("config.plugins.acmp")
require("config.plugins.autotag")
require("config.plugins.autocomplete")
require("config.plugins.bufferline")
require("config.plugins.colorizer")
require("config.plugins.comment")
require("config.plugins.dap")
require("config.plugins.gitsigns")
require("ibl").setup({
	exclude = {
		filetypes = { "dashboard" },
	}
})
require("config.plugins.hover_actions")
require("config.plugins.lsp_config")
require("config.plugins.lsp_diagnostic")
require("config.plugins.lualine")
require("config.plugins.navic")
require("config.plugins.noice")
require("toggleterm").setup()
require("config.plugins.treesitter")
require("config.plugins.neotree")
require("config.plugins.prettier")
require("config.plugins.rustaceanvim")
require("huez").setup({})
require("config.plugins.dropbar")
require("config.plugins.dashboard")

vim.api.nvim_create_autocmd("BufWritePre", {
	buffer = buffer,
	callback = function()
		vim.lsp.buf.format { async = false }
	end
})

require("mappings")
